Subject: Re: Installation
From: "Scott Taylor" <[email-masked]>
To: "Cygwin" <[email-masked]>
Date: Fri, 17 Jan 2003 09:48:23 -0000

In the /bin directory are all the bash commands that you use in a typical
unix shell...correct? Then why can I use a command like "ls -l" and not
"locate" which both reside in /bin?

This is usually a PATH issue in a normal unix environment, but I believe my
PATH is fine. (i.e. PATH=C:\cygwin\bin)

$ ls -l
total 420
drwxr-xr-x    3    scott    Ta    unknown    0    Jan 14 18:51    bin
(lists all the directories)

$ man ls
BASH: man: command not found

$ locate cygwin.bat
locate: /usr/var/locatedb: no such file or directory

Does this make sense now?

Scott

----- Original Message -----
From: "Andrew Markebo" <[email-masked]>
To: "Scott Taylor" <[email-masked]>
Sent: Friday, January 17, 2003 8:59 AM
Subject: Re: Installation

> / "Scott Taylor" <[email-masked]> wrote:
> | As I have previously mentioned, I can run commands like "ls -l" but not
ones
> | like "locate". These commands both seem to appear in /bin, which is in
my
> | PATH.
> |
> | What how is this possible and what can I do?
>
> Ehh? Take this from the beginning?? You can run "ls -l" and it
> works.. and you wonder why?? Or do you think it is an error?
>
> Give a copy'n'paste from your prompt and show what happens, tell what
> you expected to happen?
>
>     /Andy
>
> |
> | Scott
> |
> |
> | ----- Original Message -----
> | From: "Max Bowsher" <[email-masked]>
> | To: "Scott Taylor" <[email-masked]>; <[email-masked]>
> | Sent: Thursday, January 16, 2003 11:00 PM
> | Subject: Re: Installation
> |
> |
> |> Please keep replies on the mailing list.
> |>
> |> Scott Taylor wrote:
> |> > OK thanks. But what is the problem with running certain commands like
> |> > "locate"? The bin directory is in my PATH.
> |>
> |> What is what problem? I'm not psychic.
> |>
> |> > Also, can I assume that because there is the postgresql.exe
> |> > application in /bin, that PostgreSQL has been installed. I never
> |> > built it with cygipc as instructed.
> |>
> |> PostgreSQL is a bit of an exception. It is the only package which
depends
> | on
> |> software outside the main Cygwin distro. You *need* cygipc for
postgresql
> | to
> |> work.
> |>
> |> Max.
> |>
> |>
> |> --
> |> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> |> Bug reporting:         http://cygwin.com/bugs.html
> |> Documentation:         http://cygwin.com/docs.html
> |> FAQ:                   http://cygwin.com/faq/
> |>
> |
> |
>
> --
>  The eye of the beholder rests on the beauty!
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/